jif.types

## Interface Param

- All Superinterfaces:
    java.lang.Cloneable, polyglot.util.Copy<polyglot.types.TypeObject>, java.io.Serializable, polyglot.types.TypeObject
  All Known Subinterfaces:
    ActsForParam, ArgLabel, BottomPrincipal, ConjunctivePrincipal, CovariantParamLabel, DisjunctivePrincipal, DynamicLabel, DynamicPrincipal, ExternalPrincipal, JoinLabel, Label, MeetLabel, NotTaken, PairLabel, ParamLabel, ParamPrincipal, Principal, ProviderLabel, ThisLabel, TopPrincipal, UnknownLabel, UnknownParam, UnknownPrincipal, VarLabel, VarPrincipal, WritersToReadersLabel
  All Known Implementing Classes:
    ArgLabel_c, BottomPrincipal_c, ConjunctivePrincipal_c, CovariantParamLabel_c, DisjunctivePrincipal_c, DynamicLabel_c, DynamicPrincipal_c, ExternalPrincipal_c, JoinLabel_c, Label_c, MeetLabel_c, NotTaken_c, PairLabel_c, Param_c, ParamLabel_c, ParamPrincipal_c, Principal_c, ProviderLabel_c, ThisLabel_c, TopPrincipal_c, UnknownLabel_c, UnknownParam_c, UnknownPrincipal_c, VarLabel_c, VarPrincipal_c, WritersToReadersLabel_c

      public interface Param
      extends polyglot.types.TypeObject

  The root of the Jif class parameter types.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isCanonical()`
    `boolean` | `isRuntimeRepresentable()`
    `JifTypeSystem` | `typeSystem()`

    - ### Methods inherited from interface polyglot.types.TypeObject

      `equalsImpl, position`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

- - ### Method Detail

    - #### typeSystem

          JifTypeSystem typeSystem()

      Specified by:
        `typeSystem` in interface `polyglot.types.TypeObject`

    - #### isRuntimeRepresentable

          boolean isRuntimeRepresentable()

    - #### isCanonical

          boolean isCanonical()

      Specified by:
        `isCanonical` in interface `polyglot.types.TypeObject`